#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'colours/colours_e_autoinclude.rb'
require 'easycompile'

# =========================================================================== #
# Denote which program to use.
# =========================================================================== #
_ = '/home/x/src/htop/htop-2.2.0.tar.xz'
_ = ARGV.first unless ARGV.empty? # Overrule if argument was given.

e
e 'Welcome to testing some components of the project called Easycompile.'
e
e 'The version in use is:'
e
e sfancy("  #{Easycompile.version?}")
e
e 'Next testing support for yaml files through '+
  sfancy('Easycompile.compile("wv.yaml", :appdir)')+':'
Easycompile.compile('wv.yml', :appdir)
e 'Next testing app-dir compilation:'
Easycompile::CompileAsAppdir[_]
e "Next testing #{sfancy('Easycompile.compile(_)')}"
Easycompile.compile(_)
e 'Next testing support for yaml files:'
Easycompile.compile('wv.yml')